use std::fmt::Display;

use serde::{Deserialize, Serialize};

use super::{action::Actions, package::Package};

#[derive(Serialize, Deserialize, Debug)]
pub struct CrateManifest {
    #[serde(rename = "crate")]
    pub crate_info: CrateInfo,
    pub packages: Option<Vec<Package>>,
    pub actions: Option<Actions>,
    pub metadata: Option<Metadata>,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct CrateInfo {
    pub name: String,
    pub description: String,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct Metadata {
    pub homepage: Option<String>,
    pub repository: Option<String>,
    pub issues: Option<String>,
}